### Db::getenv |

`

###

    #include <db_cxx.h>

    DbEnv *
    Db::getenv();

### Description: Db::getenv

The Db::getenv method returns the handle for the database environment underlying the database.

The Db::getenv method may be called at any time during the life of the application.

The Db::getenv method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

db
  The Db::getenv method returns the handle for the database environment underlying the database in db.

### Class

Db

### See Also

Databases and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.